@import "../../styles/_variables.scss";

form .searchBar {
    padding-left: 30px;
    background-image: url("../../assets/icons/search.svg");
    background-position: 5px center;
    background-repeat: no-repeat;
}

.navBarContainer-links {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.nav-item.no-style .bi {
    color: rgba(0, 0, 0, 0.55);
    font-size: inherit;

    &:hover {
        color: $primary-color;
    }

    &::before {
        font-size: 1.5em;
    }
}

.navbar__basket {
    position: relative;

    div {
        position: absolute;
        height: 24px;
        width: 24px;
        border-radius: 30px;
        text-align: center;
        top: -15px;
        right: -10px;
        background: $primary-color;
        color: white;
    }
}

@media all and (max-width: 1200px) {
    .navBarContainer-links {
        flex-direction: column;
    }
}

@media all and (max-width: 992px) {
    .dropdown-menu {
        border: none;
        // background-color: $primary-color;

        * {
            color: $primary-color;
        }
    }

    .navBarContainer-links {
        flex-direction: column;

        > .navbar-nav {
            .nav-item {
                &:not(:first-child) {
                    border-top: 1px solid $tertiary-color;
                }

                #navbarDropdown {
                    background-image: url("../../assets/caret-down.svg");
                    background-position: 100%;
                    background-repeat: no-repeat;
                    background-size: 20px;

                    &.show {
                        background-image: url("../../assets/caret-up.svg");
                    }
                }
            }
        }

        .navbar-nav.navbar-account {
            .no-style {
                display: none;
            }
        }

        ul {
            margin-bottom: 2%;
        }
    }
}
